Alien::Build::Plugin::PkgConfig::Negotiate(3)

NAME
Alien::Build::Plugin::PkgConfig::Negotiate - Package configuration negotiation plugin

VERSION
version 1.67

SYNOPSIS
 use alienfile;
 plugin 'PkgConfig' => (
   pkg_name => 'libfoo',
 );

DESCRIPTION
This plugin provides Probe and Gather steps for pkg-config based packages. It picks the best "PkgConfig" plugin depending your platform and environment.

PROPERTIES

  pkg_name
The package name.

  atleast_version
The minimum required version that is acceptable version as provided by the system.

  exact_version
The exact required version that is acceptable version as provided by the system.

  max_version
The max required version that is acceptable version as provided by the system.

  minimum_version
Alias for "atleast_version" for backward compatibility.

METHODS

  pick
 my $name = Alien::Build::Plugijn::PkgConfig::Negotiate->pick;

Returns the name of the negotiated plugin.

ENVIRONMENT

ALIEN_BUILD_PKG_CONFIG
    If set, this plugin will be used instead of the build in logic which attempts to automatically pick the best plugin.

SEE ALSO
Alien::Build, alienfile, Alien::Build::MM, Alien

AUTHOR
Author: Graham Ollis <plicease@cpan.org>

Contributors:

Diab Jerius (DJERIUS)

Roy Storey

Ilya Pavlov

David Mertens (run4flat)

Mark Nunberg (mordy, mnunberg)

Christian Walde (Mithaldu)

Brian Wightman (MidLifeXis)

Zaki Mughal (zmughal)

mohawk (mohawk2, ETJ)

Vikas N Kumar (vikasnkumar)

Flavio Poletti (polettix)

Salvador Fandiño (salva)

Gianni Ceccarelli (dakkar)

Pavel Shaydo (zwon, trinitum)

Kang-min Liu (劉康民, gugod)

Nicholas Shipp (nshp)

Juan Julián Merelo Guervós (JJ)

Joel Berger (JBERGER)

Petr Pisar (ppisar)

Lance Wicks (LANCEW)

Ahmad Fatoum (a3f, ATHREEF)

José Joaquín Atria (JJATRIA)

Duke Leto (LETO)

Shoichi Kaji (SKAJI)

Shawn Laffan (SLAFFAN)

Paul Evans (leonerd, PEVANS)

COPYRIGHT AND LICENSE
This software is copyright (c) 2011-2019 by Graham Ollis.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.